org.apache.cayenne.configuration

## Interface Constants

-     public interface Constants

  Defines the names of runtime properties and named collections used in DI modules.
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CI_PROPERTY` Defines if database uses case-insensitive collation
    `static String` | `JDBC_DRIVER_PROPERTY`
    `static String` | `JDBC_MAX_CONNECTIONS_PROPERTY`
    `static String` | `JDBC_MAX_QUEUE_WAIT_TIME` Defines a maximum time in milliseconds that a connection request could wait in the connection queue.
    `static String` | `JDBC_MIN_CONNECTIONS_PROPERTY`
    `static String` | `JDBC_PASSWORD_PROPERTY`
    `static String` | `JDBC_URL_PROPERTY`
    `static String` | `JDBC_USERNAME_PROPERTY`
    `static String` | `JDBC_VALIDATION_QUERY_PROPERTY`
    `static String` | `PROPERTIES_MAP` A DI container key for the Map<String, String> storing properties used by built-in Cayenne service.
    `static String` | `QUERY_CACHE_SIZE_PROPERTY` An integer property defining the maximum number of entries in the query cache.
    `static String` | `QUERY_EXECUTION_TIME_LOGGING_THRESHOLD_PROPERTY` A integer property that enables logging for just long running queries (rather than all queries).
    `static String` | `ROP_CHANNEL_EVENTS_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `ROP_CONTEXT_CHANGE_EVENTS_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `ROP_CONTEXT_LIFECYCLE_EVENTS_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `ROP_SERVICE_PASSWORD_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `ROP_SERVICE_REALM_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `ROP_SERVICE_SHARED_SESSION_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `ROP_SERVICE_TIMEOUT_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `ROP_SERVICE_URL_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `ROP_SERVICE_USE_ALPN_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `ROP_SERVICE_USERNAME_PROPERTY` Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
    `static String` | `SERVER_ADAPTER_DETECTORS_LIST` A DI container key for the List<DbAdapterDetector> that contains objects that can discover the type of current database and install the correct DbAdapter in runtime.
    `static String` | `SERVER_CONTEXTS_SYNC_PROPERTY` A boolean property defining whether cross-contexts synchronization is enabled.
    `static String` | `SERVER_DEFAULT_TYPES_LIST` A DI container key for the List<ExtendedType> storing default adapter-agnostic ExtendedTypes.
    `static String` | `SERVER_DOMAIN_FILTERS_LIST` A DI container key for the List<DataChannelFilter> storing DataDomain filters.
    `static String` | `SERVER_DOMAIN_LISTENERS_LIST` A DI container key for the List<Object> storing lifecycle events listeners.
    `static String` | `SERVER_DOMAIN_NAME_PROPERTY` An optional name of the runtime DataDomain.
    `static String` | `SERVER_EXTERNAL_TX_PROPERTY` A boolean property that defines whether runtime should use external transactions.
    `static String` | `SERVER_MAX_ID_QUALIFIER_SIZE_PROPERTY` A property that defines a maximum number of ID qualifiers in where clause of queries that are generated for example in `IncrementalFaultList` or in DISJOINT_BY_ID prefetch processing.
    `static String` | `SERVER_MAX_QUEUE_WAIT_TIME` Deprecated. since 4.0 renamed to `JDBC_MAX_QUEUE_WAIT_TIME`. Property name is preserved.
    `static String` | `SERVER_OBJECT_RETAIN_STRATEGY_PROPERTY` A String property that defines how ObjectContexts should retain cached committed objects.
    `static String` | `SERVER_PROJECT_LOCATIONS_LIST` A DI container key for the List<String> storing locations of the one of more project configuration files.
    `static String` | `SERVER_RESOURCE_LOCATOR` A server-side DI container key for binding `ResourceLocator`
    `static String` | `SERVER_ROP_EVENT_BRIDGE_FACTORY_PROPERTY` The name of the `EventBridgeFactory` that is passed from the ROP server to the client.
    `static String` | `SERVER_ROP_EVENT_BRIDGE_PROPERTIES_MAP` A server-side DI container key for the Map<String, String> storing event bridge properties passed to the ROP client on bootstrap.
    `static String` | `SERVER_TYPE_FACTORIES_LIST` A DI container key for the List<ExtendedTypeFactory> storing default and user-provided ExtendedTypeFactories.
    `static String` | `SERVER_USER_TYPES_LIST` A DI container key for the List<ExtendedType> storing a user-provided ExtendedTypes.
    `static String` | `SNAPSHOT_CACHE_SIZE_PROPERTY` Snapshot cache max size

- - ### Field Detail

    - #### PROPERTIES_MAP

          static final String PROPERTIES_MAP

      A DI container key for the Map<String, String> storing properties used by built-in Cayenne service.
      See Also:
        `ServerModule.contributeProperties(Binder).`, Constant Field Values

    - #### SERVER_ADAPTER_DETECTORS_LIST

          static final String SERVER_ADAPTER_DETECTORS_LIST

      A DI container key for the List<DbAdapterDetector> that contains objects that can discover the type of current database and install the correct DbAdapter in runtime.
      See Also:
        Constant Field Values

    - #### SERVER_DOMAIN_FILTERS_LIST

          static final String SERVER_DOMAIN_FILTERS_LIST

      A DI container key for the List<DataChannelFilter> storing DataDomain filters.
      See Also:
        `ServerModule.contributeDomainFilters(Binder).`, Constant Field Values

    - #### SERVER_DOMAIN_LISTENERS_LIST

          static final String SERVER_DOMAIN_LISTENERS_LIST

      A DI container key for the List<Object> storing lifecycle events listeners.
      See Also:
        `ServerModule.contributeDomainListeners(Binder).`, Constant Field Values

    - #### SERVER_PROJECT_LOCATIONS_LIST

          static final String SERVER_PROJECT_LOCATIONS_LIST

      A DI container key for the List<String> storing locations of the one of more project configuration files.
      See Also:
        Constant Field Values

    - #### SERVER_DEFAULT_TYPES_LIST

          static final String SERVER_DEFAULT_TYPES_LIST

      A DI container key for the List<ExtendedType> storing default adapter-agnostic ExtendedTypes.
      See Also:
        `ServerModule.contributeDefaultTypes(Binder).`, Constant Field Values

    - #### SERVER_USER_TYPES_LIST

          static final String SERVER_USER_TYPES_LIST

      A DI container key for the List<ExtendedType> storing a user-provided ExtendedTypes.
      See Also:
        `ServerModule.contributeUserTypes(Binder).`, Constant Field Values

    - #### SERVER_TYPE_FACTORIES_LIST

          static final String SERVER_TYPE_FACTORIES_LIST

      A DI container key for the List<ExtendedTypeFactory> storing default and user-provided ExtendedTypeFactories.
      See Also:
        `ServerModule.contributeTypeFactories(Binder).`, Constant Field Values

    - #### SERVER_RESOURCE_LOCATOR

          static final String SERVER_RESOURCE_LOCATOR

      A server-side DI container key for binding `ResourceLocator`
      See Also:
        Constant Field Values

    - #### SERVER_ROP_EVENT_BRIDGE_PROPERTIES_MAP

          static final String SERVER_ROP_EVENT_BRIDGE_PROPERTIES_MAP

      A server-side DI container key for the Map<String, String> storing event bridge properties passed to the ROP client on bootstrap.
      See Also:
        Constant Field Values

    - #### JDBC_DRIVER_PROPERTY

          static final String JDBC_DRIVER_PROPERTY

      See Also:
        Constant Field Values

    - #### JDBC_URL_PROPERTY

          static final String JDBC_URL_PROPERTY

      See Also:
        Constant Field Values

    - #### JDBC_USERNAME_PROPERTY

          static final String JDBC_USERNAME_PROPERTY

      See Also:
        Constant Field Values

    - #### JDBC_PASSWORD_PROPERTY

          static final String JDBC_PASSWORD_PROPERTY

      See Also:
        Constant Field Values

    - #### JDBC_MIN_CONNECTIONS_PROPERTY

          static final String JDBC_MIN_CONNECTIONS_PROPERTY

      See Also:
        Constant Field Values

    - #### JDBC_MAX_CONNECTIONS_PROPERTY

          static final String JDBC_MAX_CONNECTIONS_PROPERTY

      See Also:
        Constant Field Values

    - #### JDBC_MAX_QUEUE_WAIT_TIME

          static final String JDBC_MAX_QUEUE_WAIT_TIME

      Defines a maximum time in milliseconds that a connection request could wait in the connection queue. After this period expires, an exception will be thrown in the calling method. A value of zero will make the thread wait until a connection is available with no time out. Defaults to 20 seconds.
      Since:
        4.0
      See Also:
        Constant Field Values

    - #### JDBC_VALIDATION_QUERY_PROPERTY

          static final String JDBC_VALIDATION_QUERY_PROPERTY

      Since:
        4.0
      See Also:
        Constant Field Values

    - #### QUERY_CACHE_SIZE_PROPERTY

          static final String QUERY_CACHE_SIZE_PROPERTY

      An integer property defining the maximum number of entries in the query cache. Note that not all QueryCache providers may respect this property. MapQueryCache uses it, but the rest would use alternative configuration methods.
      See Also:
        Constant Field Values

    - #### SERVER_DOMAIN_NAME_PROPERTY

          static final String SERVER_DOMAIN_NAME_PROPERTY

      An optional name of the runtime DataDomain. If not specified (which is normally the case), the name is inferred from the configuration name.
      Since:
        4.0
      See Also:
        Constant Field Values

    - #### SERVER_CONTEXTS_SYNC_PROPERTY

          static final String SERVER_CONTEXTS_SYNC_PROPERTY

      A boolean property defining whether cross-contexts synchronization is enabled. Possible values are "true" or "false".
      See Also:
        Constant Field Values

    - #### SERVER_OBJECT_RETAIN_STRATEGY_PROPERTY

          static final String SERVER_OBJECT_RETAIN_STRATEGY_PROPERTY

      A String property that defines how ObjectContexts should retain cached committed objects. Possible values are "weak", "soft", "hard".
      See Also:
        Constant Field Values

    - #### SERVER_EXTERNAL_TX_PROPERTY

          static final String SERVER_EXTERNAL_TX_PROPERTY

      A boolean property that defines whether runtime should use external transactions. Possible values are "true" or "false".
      See Also:
        Constant Field Values

    - #### SERVER_ROP_EVENT_BRIDGE_FACTORY_PROPERTY

          static final String SERVER_ROP_EVENT_BRIDGE_FACTORY_PROPERTY

      The name of the `EventBridgeFactory` that is passed from the ROP server to the client. Client would instantiate the factory to receive events from the server. Note that this property is stored in `SERVER_ROP_EVENT_BRIDGE_PROPERTIES_MAP`, not `PROPERTIES_MAP`.
      See Also:
        Constant Field Values

    - #### SERVER_MAX_ID_QUALIFIER_SIZE_PROPERTY

          static final String SERVER_MAX_ID_QUALIFIER_SIZE_PROPERTY

      A property that defines a maximum number of ID qualifiers in where clause of queries that are generated for example in `IncrementalFaultList` or in DISJOINT_BY_ID prefetch processing. This is needed to avoid where clause size limitations and memory usage efficiency.
      See Also:
        Constant Field Values

    - #### SERVER_MAX_QUEUE_WAIT_TIME

          static final String SERVER_MAX_QUEUE_WAIT_TIME

      Deprecated. since 4.0 renamed to `JDBC_MAX_QUEUE_WAIT_TIME`. Property name is preserved.
      Defines a maximum time in milliseconds that a connection request could wait in the connection queue. After this period expires, an exception will be thrown in the calling method. A value of zero will make the thread wait until a connection is available with no time out. Defaults to 20 seconds.
      See Also:
        Constant Field Values

    - #### CI_PROPERTY

          static final String CI_PROPERTY

      Defines if database uses case-insensitive collation
      See Also:
        Constant Field Values

    - #### QUERY_EXECUTION_TIME_LOGGING_THRESHOLD_PROPERTY

          static final String QUERY_EXECUTION_TIME_LOGGING_THRESHOLD_PROPERTY

      A integer property that enables logging for just long running queries (rather than all queries). The value is the minimum number of milliseconds a query must run before is logged. A value less than or equal to zero (the default) disables this feature.
      Since:
        4.0
      See Also:
        Constant Field Values

    - #### SNAPSHOT_CACHE_SIZE_PROPERTY

          static final String SNAPSHOT_CACHE_SIZE_PROPERTY

      Snapshot cache max size
      Since:
        4.0
      See Also:
        `ServerModule.setSnapshotCacheSize(Binder, int)`, Constant Field Values

    - #### ROP_SERVICE_URL_PROPERTY

          @Deprecated
          static final String ROP_SERVICE_URL_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      See Also:
        Constant Field Values

    - #### ROP_SERVICE_USERNAME_PROPERTY

          @Deprecated
          static final String ROP_SERVICE_USERNAME_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      See Also:
        Constant Field Values

    - #### ROP_SERVICE_PASSWORD_PROPERTY

          @Deprecated
          static final String ROP_SERVICE_PASSWORD_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      See Also:
        Constant Field Values

    - #### ROP_SERVICE_REALM_PROPERTY

          @Deprecated
          static final String ROP_SERVICE_REALM_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      See Also:
        Constant Field Values

    - #### ROP_SERVICE_USE_ALPN_PROPERTY

          @Deprecated
          static final String ROP_SERVICE_USE_ALPN_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      A boolean property that defines whether ALPN should be used. Possible values are "true" or "false".
      See Also:
        Constant Field Values

    - #### ROP_SERVICE_SHARED_SESSION_PROPERTY

          @Deprecated
          static final String ROP_SERVICE_SHARED_SESSION_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      See Also:
        Constant Field Values

    - #### ROP_SERVICE_TIMEOUT_PROPERTY

          @Deprecated
          static final String ROP_SERVICE_TIMEOUT_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      See Also:
        Constant Field Values

    - #### ROP_CHANNEL_EVENTS_PROPERTY

          @Deprecated
          static final String ROP_CHANNEL_EVENTS_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      See Also:
        Constant Field Values

    - #### ROP_CONTEXT_CHANGE_EVENTS_PROPERTY

          @Deprecated
          static final String ROP_CONTEXT_CHANGE_EVENTS_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      See Also:
        Constant Field Values

    - #### ROP_CONTEXT_LIFECYCLE_EVENTS_PROPERTY

          @Deprecated
          static final String ROP_CONTEXT_LIFECYCLE_EVENTS_PROPERTY

      Deprecated. since 4.0 moved to cayenne-client org.apache.cayenne.configuration.rop.client.ClientConstants.
      See Also:
        Constant Field Values

Copyright © 2001–2018 Apache Cayenne. All rights reserved.